import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class TreeviewParentWidget extends StatelessWidget {
  final String text;
  final Color backgroundColor;
  final Color color;
  //final DateTime lastModified;

  TreeviewParentWidget({@required this.text, this.backgroundColor = Colors.white38, this.color});

  @override
  Widget build(BuildContext context) {
    Widget parentWidget = Text(
      this.text,
      style: GoogleFonts.archivoBlack(fontSize: 24, color: color ?? Colors.blue[800], backgroundColor: Colors.transparent),
    );

    Icon icon = Icon(Icons.person);

    return Card(
      color: backgroundColor,
      shadowColor: Colors.black54,
      elevation: 0.0,
      child: ListTile(
        leading: icon,
        title: parentWidget,
        //subtitle: lastModifiedWidget,
      ),
    );
  }
}
