class NotFoundException implements Exception {
  final String message;
  const NotFoundException({this.message});
}

class WorkoutTestException implements Exception {
  static const String CUSTOMER_EXISTS = "customer-exists";
  static const String LOGIN_CANCELLED = "login-cancelled";

  final String message;
  final String code;
  const WorkoutTestException({this.message, this.code});
}
